var suggestions = [{
  label: 'loading',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'loading()',
  detail: 'ele-loading'
},{
  label: 'message',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'message',
  detail: 'ele-message'
},{
  label: 'confirm',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: `confirm('', '提示', {
    dangerouslyUseHTMLString: true,
    confirmButtonText: '确定',
    cancelButtonText: '取消',
    type: 'warning'
  }).then(() => {
  
  }).catch(() => {
    
  })`,
  detail: 'ele-confirm'
},{
  label: 'setTimeout',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: `setTimeout(()=>{

}, ms)`,
  detail: '计时器'
},{
  label: 'uuid',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'uuid()',
  detail: 'uuid'
},{
  label: 'user',
  kind: monaco.languages.CompletionItemKind['Value'],
  insertText: 'user',
  detail: 'user'
},{
  label: 'getModelByName',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'getModelByName("modelName")',
  detail: '获取组件'
},{
  label: 'getModelByName_children',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'getModelByName_children("tagName","modelName")',
  detail: '获取子组件'
},{
  label: 'get3DModelByName',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'get3DModelByName("modelName")',
  detail: '获取3D组件'
},{
  label: 'get3DModelByName_children',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'get3DModelByName_children("tagName","modelName")',
  detail: '获取3D组件'
},{
  label: 'SQL',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'SQL("DbName","sql",(ro)=>{})',
  detail: '执行sql并返回'
},{
  label: 'SIMDATAINPIPE',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'SIMDATAINPIPE("variables","isCalvValue=true",(ro)=>{})',
  detail: '实时返回变量值'
},{
  label: 'SIMDATA',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'SIMDATA("VariableCodes","isCalvValue=true",(ro)=>{})',
  detail: '获取当前变量值'
},{
  label: 'BATCHWRITE',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'BATCHWRITE("codes","values",(ro)=>{})',
  detail: '写变量'
},{
  label: 'ARCHIVEDATA',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'ARCHIVEDATA("variables","startTime","endTime",(ro)=>{})',
  detail: '根据时间获取归档变量'
},{
  label: 'ARCHIVETABLE',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'ARCHIVETABLE("variables","startTime","endTime",(ro)=>{})',
  detail: '根据时间获取归档变量，返回table数据'
},{
  label: 'ALARMDATA',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'ALARMDATA("variables","startTime","endTime",(ro)=>{})',
  detail: '根据时间获取报警变量'
},{
  label: 'STATUS',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'STATUS((ro)=>{})',
  detail: '获取状态'
},{
  label: 'SYSTEMSTATUS',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'SYSTEMSTATUS((ro)=>{})',
  detail: '获取系统状态'
},{
  label: 'SIMDEVICE',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'SIMDEVICE([devicePks],(ro)=>{})',
  detail: '获取设备信息，参数：设备pk数组'
},{
  label: 'bulidPopup',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'bulidPopup("code","dataList","width","height")',
  detail: '弹窗code:页面编码,dataList:传输数据'
},{
  label: 'creatForm',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'creatForm("code","title",(ro)=>{},"sizeOption","name")',
  detail: '弹框，参数：页面code，标题（可无），回调（可无），标识名（可无） {width：0，height：0}（可无）'
},{
  label: 'deleteForm',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'deleteForm("code")',
  detail: '关闭弹框，参数：页面code'
},{
  label: 'importExcel',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'importExcel(function)',
  detail: '导入Excel，参数：callBack'
},{
  label: 'getDate',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'getDate()',
  detail: '获取时间并格式化:根据格式化字符串以及增加减少的单位量获得对应日期 fmtStr为格式化字符串如果为空则默认YYYY-MM-DD HH:mm:ss(2021-05-07 13:08:53) num增加减少量，正数则为增加量，负数则为减少量  unit为增加减少的单位，S秒M分钟H小时D天'
},{
  label: 'HexStringTocolor3',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'HexStringTocolor3(color)',
  detail: 'hex转color3'
},{
  label: 'Color3toHexString',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'Color3toHexString(color3)',
  detail: 'color3转hex'
},{
  label: 'Vector3',
  kind: monaco.languages.CompletionItemKind['Function'],
  insertText: 'Vector3(x,y,z)',
  detail: 'Vector3'
}]
export default suggestions;